local builtin = require('telescope.builtin')
local options = { noremap = true, silent = true }

vim.keymap.set('n', '<leader><space>', builtin.find_files, options)
vim.keymap.set('n', '<leader>g', builtin.live_grep, options)
vim.keymap.set('n', '<leader>p', builtin.git_files, options)
vim.keymap.set('n', '<leader>b', builtin.buffers, options)
vim.keymap.set('n', '<leader>s', function() 
	builtin.grep_string({ search = vim.fn.input("Search: ")})
end, { noremap = true, silent = false }
)
