return require("packer").startup(function(use)
	-- this plugin
	use("wbthomason/packer.nvim")

	-- telescope opens a window over code for file dialogs
	use({"nvim-telescope/telescope.nvim",
		tag = '0.1.1',
		requires = { { "nvim-lua/plenary.nvim" } },
	})

	-- lsp support
	use("neovim/nvim-lspconfig")

	-- use("folke/tokyonight.nvim")
	-- use("ghifarit53/tokyonight-vim")
	-- use("Shatur/neovim-ayu")
	use("haishanh/night-owl.vim")

	-- better color+syntax
	use("nvim-treesitter/nvim-treesitter", {
		run = ":TSUpdate"
	})

	-- better statusline
	use("nvim-lualine/lualine.nvim")

	-- auto-add the closing bracket/parenthesis/quote/etc.
	use("windwp/nvim-autopairs")

	-- comment lines
	use("tpope/vim-commentary")

	-- syntax for Pest files
	use("pest-parser/pest.vim")

	-- editorconfig support
	use("gpanders/editorconfig.nvim")

	-- Git support
	use("tpope/vim-fugitive")
end)
