vim.opt.relativenumber = true
vim.opt.number = true
vim.opt.errorbells = false

vim.opt.cursorline = true		-- highlight the line with the cursor
vim.opt.wrap = false			-- do not wrap long lines
vim.opt.foldmethod = 'marker'		-- when folding, use the marker
vim.opt.laststatus = 3			-- always show the status line, but only one, even with splits
vim.opt.showtabline = 2			-- always show the tab bar
vim.opt.scrolloff = 2			-- number of lines to always have around cursor
vim.opt.splitright = true		-- vertical splits open on the right
vim.opt.splitbelow = true		-- horizontal splits open on the bottom
vim.g.mapleader = ' '			-- space is the leader character

vim.g.editorconfig = true		-- enable editorconfig
